Page MenuHomePhabricator

Opening images in Media Viewer is much slower than using their traditional description pages
Closed, ResolvedPublic

Description

Screncast taken on [[Panoramic photography]]


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=56695

Attached:

Details

Reference
bz64135

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:19 AM
bzimport set Reference to bz64135.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.Apr 19 2014, 2:46 PM

Oh, I was meaning to file something like this.

I *think* this is because MMV preloads the previous and next image at the same time as loading the current one. I haven't had time to verify this by looking at the code yet, though.

Tgr added a comment.Apr 19 2014, 3:51 PM

Whoa that was slow.

Bartosz: the prev/next image should only start loading when the current one has finished, although the way that is implemented is not perfect (e.g. the API request for the image metadata might start sooner).

This could also be caused by thumbnail rendering times, since the original image is huge.

Change 127439 had a related patch set uploaded by Gergő Tisza:
Disable preloading of fullscreen-sized image

https://gerrit.wikimedia.org/r/127439

Change 127439 merged by jenkins-bot:
Disable preloading of fullscreen-sized image

https://gerrit.wikimedia.org/r/127439

Change 127801 had a related patch set uploaded by Gergő Tisza:
Disable preloading of fullscreen-sized image

https://gerrit.wikimedia.org/r/127801

Change 127802 had a related patch set uploaded by Gergő Tisza:
Disable preloading of fullscreen-sized image

https://gerrit.wikimedia.org/r/127802

Change 127801 merged by Catrope:
Disable preloading of fullscreen-sized image

https://gerrit.wikimedia.org/r/127801

Change 127802 merged by Catrope:
Disable preloading of fullscreen-sized image

https://gerrit.wikimedia.org/r/127802

Probably fixed, then.

(It's not been annoyingly slow for me anymore for the last few weeks.)

Gilles triaged this task as Unbreak Now! priority.Dec 4 2014, 10:11 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Needs Triage.Dec 4 2014, 11:22 AM
bd808 moved this task from Tag to Archive on the Performance Issue board.Mar 11 2015, 7:30 PM